org.richfaces.model.iterators

## Class MapDataTuplesIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<TreeDataModelTuple>
  - - org.richfaces.model.iterators.BaseTupleIterator
    - - org.richfaces.model.iterators.MapDataTuplesIterator

- All Implemented Interfaces:
    Iterator<TreeDataModelTuple>

      public class MapDataTuplesIterator
      extends BaseTupleIterator

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapDataTuplesIterator(SequenceRowKey baseKey, Map<?,?> dataMap)`
    `MapDataTuplesIterator(SequenceRowKey baseKey, Map<?,?> dataMap, javax.faces.component.UIComponent component)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `protected void` | `proceedToNext()`

    - ### Methods inherited from class org.richfaces.model.iterators.BaseTupleIterator

      `createTuple, getBaseKey, getComponent, getCompositeKey, getKey, getWrappedKey, next, setKeyAndData`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MapDataTuplesIterator

          public MapDataTuplesIterator(SequenceRowKey baseKey,
                                       Map<?,?> dataMap)

    - #### MapDataTuplesIterator

          public MapDataTuplesIterator(SequenceRowKey baseKey,
                                       Map<?,?> dataMap,
                                       javax.faces.component.UIComponent component)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### proceedToNext

          protected void proceedToNext()

      Specified by:
        `proceedToNext` in class `BaseTupleIterator`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.